Package dev.plex.storage

# Class RedisConnection

java.lang.Object
dev.plex.storage.RedisConnection

All Implemented Interfaces:
  `PlexBase`

public class RedisConnection extends Object implements PlexBase

## Field Summary

Fields
Modifier and Type
Field
Description
`private redis.clients.jedis.Jedis`
`jedis`

### Fields inherited from interface dev.plex.PlexBase

`plugin`

## Constructor Summary

Constructors
Constructor
Description
`RedisConnection()`

## Method Summary

Modifier and Type
Method
Description
`redis.clients.jedis.Jedis`
`getJedis()`
`final boolean`
`isEnabled()`
`void`
`runAsync(Consumer<redis.clients.jedis.Jedis> jedisConsumer)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### jedis

private redis.clients.jedis.Jedis jedis

## Constructor Details

### RedisConnection

public RedisConnection()

## Method Details

### getJedis

public redis.clients.jedis.Jedis getJedis()

### runAsync

public void runAsync(Consumer<redis.clients.jedis.Jedis> jedisConsumer)

### isEnabled

public final boolean isEnabled()